curl --request POST \
--url https://app.fullenrich.com/api/v2/company/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"offset": 20,
"limit": 20,
"names": [
{
"value": "Microsoft",
"exact_match": true,
"exclude": false
}
],
"domains": [
{
"value": "microsoft.com",
"exact_match": true,
"exclude": false
}
],
"linkedin_urls": [
{
"value": "https://www.linkedin.com/company/fullenrich",
"exact_match": true,
"exclude": false
}
],
"keywords": [
{
"value": "innovative and practical products",
"exact_match": false,
"exclude": false
}
],
"specialties": [
{
"value": "AI safety",
"exact_match": false,
"exclude": false
}
],
"industries": [
{
"value": "Software Development",
"exact_match": false,
"exclude": false
},
{
"value": "Computer Hardware Manufacturing",
"exact_match": false,
"exclude": false
}
],
"types": [
{
"value": "Public Company",
"exact_match": true,
"exclude": false
}
],
"headquarters_locations": [
{
"value": "San Francisco",
"exact_match": false,
"exclude": false
}
],
"founded_years": [
{
"min": 2015,
"max": 2024,
"exclude": false
}
],
"headcounts": [
{
"min": 100,
"max": 500,
"exclude": false
}
],
"company_ids": [
{
"value": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"exclude": false,
"exact_match": true
}
]
}
'import requests
url = "https://app.fullenrich.com/api/v2/company/search"
payload = {
"offset": 20,
"limit": 20,
"names": [
{
"value": "Microsoft",
"exact_match": True,
"exclude": False
}
],
"domains": [
{
"value": "microsoft.com",
"exact_match": True,
"exclude": False
}
],
"linkedin_urls": [
{
"value": "https://www.linkedin.com/company/fullenrich",
"exact_match": True,
"exclude": False
}
],
"keywords": [
{
"value": "innovative and practical products",
"exact_match": False,
"exclude": False
}
],
"specialties": [
{
"value": "AI safety",
"exact_match": False,
"exclude": False
}
],
"industries": [
{
"value": "Software Development",
"exact_match": False,
"exclude": False
},
{
"value": "Computer Hardware Manufacturing",
"exact_match": False,
"exclude": False
}
],
"types": [
{
"value": "Public Company",
"exact_match": True,
"exclude": False
}
],
"headquarters_locations": [
{
"value": "San Francisco",
"exact_match": False,
"exclude": False
}
],
"founded_years": [
{
"min": 2015,
"max": 2024,
"exclude": False
}
],
"headcounts": [
{
"min": 100,
"max": 500,
"exclude": False
}
],
"company_ids": [
{
"value": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"exclude": False,
"exact_match": True
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
offset: 20,
limit: 20,
names: [{value: 'Microsoft', exact_match: true, exclude: false}],
domains: [{value: 'microsoft.com', exact_match: true, exclude: false}],
linkedin_urls: [
{
value: 'https://www.linkedin.com/company/fullenrich',
exact_match: true,
exclude: false
}
],
keywords: [
{value: 'innovative and practical products', exact_match: false, exclude: false}
],
specialties: [{value: 'AI safety', exact_match: false, exclude: false}],
industries: [
{value: 'Software Development', exact_match: false, exclude: false},
{value: 'Computer Hardware Manufacturing', exact_match: false, exclude: false}
],
types: [{value: 'Public Company', exact_match: true, exclude: false}],
headquarters_locations: [{value: 'San Francisco', exact_match: false, exclude: false}],
founded_years: [{min: 2015, max: 2024, exclude: false}],
headcounts: [{min: 100, max: 500, exclude: false}],
company_ids: [
{
value: 'a1b2c3d4-e5f6-7890-abcd-ef1234567890',
exclude: false,
exact_match: true
}
]
})
};
fetch('https://app.fullenrich.com/api/v2/company/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"companies": [
{
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"name": "Anthropic",
"domain": "anthropic.com",
"description": "AI safety and research company building reliable, interpretable, and steerable AI systems.",
"year_founded": 2021,
"headcount": 2610,
"headcount_range": "1001-5000",
"company_type": "Privately Held",
"locations": {
"headquarters": {
"line1": "548 Market St",
"line2": "PMB 42570",
"city": "San Francisco",
"region": "California",
"country": "United States",
"country_code": "US"
},
"offices": [
{
"line1": "548 Market St",
"line2": "PMB 42570",
"city": "San Francisco",
"region": "California",
"country": "United States",
"country_code": "US"
}
]
},
"social_profiles": {
"linkedin": {
"url": "https://www.linkedin.com/company/anthropic",
"handle": "anthropic",
"follower_count": 125000
}
},
"specialties": [
"artificial intelligence",
"machine learning",
"AI safety"
],
"industry": {
"main_industry": "Software Development"
}
}
],
"metadata": {
"total": 20523,
"offset": 0
}
}Search Company
Search for companies based on various filters. Multiple filters within the same field are combined with AND logic.
Predefined Filter Values
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Number of companies to skip (use this for pagination)
20
Number of companies to return (default: 10, max: 100)
20
Filter by company names. Use exact_match for precise company name matching.
Show child attributes
Show child attributes
[
{
"value": "Microsoft",
"exact_match": true,
"exclude": false
}
]Filter by company domains (e.g., 'google.com', 'microsoft.com'). Exact match recommended.
Show child attributes
Show child attributes
[
{
"value": "microsoft.com",
"exact_match": true,
"exclude": false
}
]Filter by LinkedIn URLs.
Show child attributes
Show child attributes
[
{
"value": "https://www.linkedin.com/company/fullenrich",
"exact_match": true,
"exclude": false
}
]Filter by description of company
Show child attributes
Show child attributes
[
{
"value": "innovative and practical products",
"exact_match": false,
"exclude": false
}
]Filter by specialties of company
Show child attributes
Show child attributes
[
{
"value": "AI safety",
"exact_match": false,
"exclude": false
}
]Filter by company industries (e.g., 'Software Development', 'Computer Hardware Manufacturing', 'Housing and Community Development', 'Warehousing', 'Financial Services')
Show child attributes
Show child attributes
[
{
"value": "Software Development",
"exact_match": false,
"exclude": false
},
{
"value": "Computer Hardware Manufacturing",
"exact_match": false,
"exclude": false
}
]Filter by company types (e.g., 'Public Company', 'Privately Held', 'Non-profit', 'Self-employed', 'Partnership')
Show child attributes
Show child attributes
[
{
"value": "Public Company",
"exact_match": true,
"exclude": false
}
]Filter by headquarters locations (city names, regions, or countries)
Show child attributes
Show child attributes
[
{
"value": "San Francisco",
"exact_match": false,
"exclude": false
}
]Filter by founding years. Useful for targeting startups (recent years) or established companies.
Show child attributes
Show child attributes
[
{
"min": 2015,
"max": 2024,
"exclude": false
}
]Filter by company headcounts (number of employees). Use ranges to target specific company sizes (e.g., startups: 1-50, mid-size: 50-500, enterprise: 1000+).
Show child attributes
Show child attributes
[
{ "min": 100, "max": 500, "exclude": false }
]Filter by specific company IDs
Show child attributes
Show child attributes